"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable indent */
// eslint-disable-next-line indent
const sequelize_typescript_1 = require("sequelize-typescript");
const mysqlHelper_1 = __importDefault(require("../db/mysqlHelper"));
// from https://michalzalecki.com/using-sequelize-with-typescript/
// const { DataTypes } = require("sequelize")
// https://runebook.dev/zh-CN/docs/sequelize/manual/typescript
// https://github.com/sequelize/sequelize/issues/11270
let DotPersonalModel = class DotPersonalModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "signiture",
        validate: {
            len: [0, 32],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "signiture", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "userid",
        validate: {
            len: [0, 32],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "userId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "appname",
        validate: {
            len: [0, 32],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "appName", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "appversion",
        validate: {
            len: [0, 32],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "appVersion", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "category",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "category", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "event",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "event", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "ip",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "ip", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "idfa",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "idfa", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "bid",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "bId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "deviceid",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "deviceId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "sessionid",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "sessionId", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "label",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "label", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "val",
        validate: {
            len: [0, 2000],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "val", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        field: "actiontime"
    }),
    __metadata("design:type", Number)
], DotPersonalModel.prototype, "actiontime", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "opdate",
        validate: {
            len: [0, 10],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "opdate", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "properties",
        validate: {
            len: [0, 10000],
        },
    }),
    __metadata("design:type", String)
], DotPersonalModel.prototype, "properties", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        field: "create_time",
    }),
    __metadata("design:type", Number)
], DotPersonalModel.prototype, "createTime", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        field: "update_time",
    }),
    __metadata("design:type", Number)
], DotPersonalModel.prototype, "updateTime", void 0);
DotPersonalModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: "dot_statistic_impala",
        timestamps: false,
        freezeTableName: true,
    })
], DotPersonalModel);
mysqlHelper_1.default.addModels([DotPersonalModel]);
exports.default = DotPersonalModel;
