"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable indent */
// eslint-disable-next-line indent
const sequelize_typescript_1 = require("sequelize-typescript");
const mysqlHelper_1 = __importDefault(require("../db/mysqlHelper"));
// from https://michalzalecki.com/using-sequelize-with-typescript/
// const { DataTypes } = require("sequelize")
// https://runebook.dev/zh-CN/docs/sequelize/manual/typescript
// https://github.com/sequelize/sequelize/issues/11270
let DotStatisticModel = class DotStatisticModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        primaryKey: true,
        allowNull: false,
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotStatisticModel.prototype, "id", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "opdate",
        validate: {
            len: [0, 10],
        },
    }),
    __metadata("design:type", String)
], DotStatisticModel.prototype, "opdate", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "event",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotStatisticModel.prototype, "event", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
        field: "category",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotStatisticModel.prototype, "category", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: true,
        field: "appname",
        validate: {
            len: [0, 200],
        },
    }),
    __metadata("design:type", String)
], DotStatisticModel.prototype, "appName", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.NUMBER,
        allowNull: false,
        field: "val1",
    }),
    __metadata("design:type", Number)
], DotStatisticModel.prototype, "val1", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.NUMBER,
        allowNull: false,
        field: "val2",
    }),
    __metadata("design:type", Number)
], DotStatisticModel.prototype, "val2", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.NUMBER,
        allowNull: false,
        field: "val3",
    }),
    __metadata("design:type", Number)
], DotStatisticModel.prototype, "val3", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        field: "create_time",
    }),
    __metadata("design:type", Number)
], DotStatisticModel.prototype, "createTime", void 0);
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        field: "update_time",
    }),
    __metadata("design:type", Number)
], DotStatisticModel.prototype, "updateTime", void 0);
DotStatisticModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: "dot_statistic_impala",
        timestamps: false,
        freezeTableName: true,
    })
], DotStatisticModel);
mysqlHelper_1.default.addModels([DotStatisticModel]);
exports.default = DotStatisticModel;
