"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dot_statistic_campaign_1 = __importDefault(require("../campaign/dot_statistic_campaign"));
const dot_task_campaign_1 = __importDefault(require("../campaign/dot_task_campaign"));
// import { execImpalaSql } from "../db/impalaHelper";
const indexRouter = require('koa-router')();
indexRouter.get('/', (ctx, next) => __awaiter(void 0, void 0, void 0, function* () {
    const cc = yield dot_statistic_campaign_1.default.getList(1, 3, {
        appName: 'appName1',
        category: 'category1',
        opdate: '2022-09-15',
        event: 'pageView'
    });
    const dd = yield dot_task_campaign_1.default.getList(1, 3, {
        // appName: 'appName1',
        category: 'category1',
        opdate: '2022-09-15'
    });
    yield ctx.render('index', {
        title: 'Hello Koa 2!'
    });
}));
// indexRouter.post('/testInvokeStatisticInsertAndTaskStatusUpdate', async (ctx: any, next: any) => {
//   const insertData = [{
//     "id": "id1",
//     "opdate": "2022-09-15",
//     "event": "dotEvtName1",
//     "category": "category1",
//     "appName": "appname1",
//     "val1": 13,
//     "val2": 12,
//     "val3": 11,
//     "createTime": 1663053873526,
//     "updateTime": 1663053873526
//   },
//   {
//     "id": "id2",
//     "opdate": "2022-09-15",
//     "event": "dotEvtName2",
//     "category": "category2",
//     "appName": "appname2",
//     "val1": 3,
//     "val2": 2,
//     "val3": 1,
//     "createTime": 1663053873526,
//     "updateTime": 1663053873526
//   }] as IDotStatisticModel[]
//   const taskData = [{
//     "id": "id1",
//     "batchId": "batchId1",
//     "category": "vidnow_landing_page",
//     "appName": "vidnow",
//     "eventsStr": "[\"h5_event_open_url\"]",
//     "opdate": "2022-09-15",
//     "actTimeRangeStart": 1663257600000,
//     "actTimeRangeEnd": new Date('2099-12-30').getTime(),
//     "impalaQuerySql": "select event,count(distinct userid),count(1) from dt_crawler.pipeline_analyze_event_contents pn where opdate='2022-09-15' and event in (\"h5_event_open_url\") group by event",
//     "impalaRltDataSetType": 2,
//     "impalaExecStatus": 1,
//     "createTime": 1663312172088,
//     "updateTime": 1663312172088
//   },
//   {
//     "id": "id2",
//     "batchId": "batchId1",
//     "category": "vidnow_landing_page",
//     "appName": "vidnow",
//     "eventsStr": "[\"h5_event_click_download\"]",
//     "opdate": "2022-09-15",
//     "actTimeRangeStart": 1663257600000,
//     "actTimeRangeEnd": new Date('2099-12-30').getTime(),
//     "impalaQuerySql": "select event,count(distinct userid),count(1) from dt_crawler.pipeline_analyze_event_contents pn where opdate='2022-09-15' and event in (\"h5_event_click_download\") group by event",
//     "impalaRltDataSetType": 2,
//     "impalaExecStatus": 1,
//     "createTime": 1663312172088,
//     "updateTime": 1663312172088
//   }] as IImpalaTaskModel[]
//   const items = await MixDao.invokeStatisticInsertAndTaskStatusUpdate(insertData, taskData)
// })
module.exports = indexRouter;
