"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
const logUtil_1 = require("../utils/logUtil");
const base_1 = require("./base");
const cfgFileName = process.env.NODE_ENV || "development";
// eslint-disable-next-line import/no-dynamic-require
const dataJSON = require(`../config/${cfgFileName}.json`);
// let cc = Encrypt(Buffer.from('Dingtone@me123456'), '123456')
// console.log('22222222222222222222222', myDecrypt(dataJSON.mysqlPWD))
(0, logUtil_1.localLog)("[server]-[config]-[db]-p1 ", cfgFileName, ',', dataJSON.mysqlDbHost, ',', dataJSON.impalaDbHost);
// let cc = Encrypt(Buffer.from('dingtone0722'), '123456')
// console.log('22222222222222222222222', cc, cryptoUtil.Decrypt(dataJSON.dbPWD, '123456'))
// global.CONNECTION_MAX_COUNT = 100
// global.CONNECTION_CUR_COUNT = 0
(0, logUtil_1.localLog)("[server]-[config]-[db]-p2 env ", String(process.env.NODE_ENV), ", cfgFileName ", cfgFileName);
// console.log('7777777777777777777777777777', myEncrypt('Dingtone@me123456'))
const db = new sequelize_typescript_1.Sequelize(dataJSON.mysqlDbName, dataJSON.mysqlUserName, (0, base_1.myDecrypt)(dataJSON.mysqlPWD), {
    host: dataJSON.mysqlDbHost,
    port: dataJSON.mysqlDbPort,
    dialect: "mysql",
    // operatorsAliases: false,
    dialectOptions: {
        // 字符集
        charset: "utf8mb4",
        collate: "utf8mb4_latvian_ci",
        supportBigNumbers: true,
        bigNumberStrings: true,
    },
    pool: {
        max: 5,
        min: 0,
        acquire: 30000,
        idle: 10000,
    },
    timezone: "+08:00", // 东八时区
});
// 显示sql参数
db.options.logQueryParameters = true;
exports.default = db;
